"""Causal Impact.

A Python package for causal inference using Bayesian structural time-series
models. It's a port of the R package CausalImpact,
see https://github.com/google/CausalImpact

"""

import sys

if sys.version_info[:2] >= (3, 8):
    # TODO: Import directly (no need for conditional) when `python_requires = >= 3.8`
    from importlib.metadata import PackageNotFoundError, version  # pragma: no cover
else:
    from importlib_metadata import PackageNotFoundError, version  # pragma: no cover

try:
    # Change here if project is renamed and does not equal the package name
    dist_name = __name__
    __version__ = version(dist_name)
except PackageNotFoundError:  # pragma: no cover
    __version__ = "unknown"
finally:
    del version, PackageNotFoundError

from causalimpact.analysis import CausalImpact  # noqa

__all__ = [
    "CausalImpact",
]
